aboutsummaryrefslogtreecommitdiff
path: root/store/works/Crupest.SecretTool/tools/cru-proxy-log
diff options
context:
space:
mode:
authorYuqian Yang <crupest@crupest.life>2025-02-28 23:13:39 +0800
committerYuqian Yang <crupest@crupest.life>2025-02-28 23:13:39 +0800
commitdc1f0c4c0096013799416664894c5194dc7e1f52 (patch)
tree2f5d235f778cd720f4c39ec3e56b77ba6d99f375 /store/works/Crupest.SecretTool/tools/cru-proxy-log
parent7299d424d90b1effb6db69e3476ddd5af72eeba4 (diff)
downloadcrupest-dc1f0c4c0096013799416664894c5194dc7e1f52.tar.gz
crupest-dc1f0c4c0096013799416664894c5194dc7e1f52.tar.bz2
crupest-dc1f0c4c0096013799416664894c5194dc7e1f52.zip
chore(store): move everything to store.
Diffstat (limited to 'store/works/Crupest.SecretTool/tools/cru-proxy-log')
-rwxr-xr-xstore/works/Crupest.SecretTool/tools/cru-proxy-log13
1 files changed, 13 insertions, 0 deletions
diff --git a/store/works/Crupest.SecretTool/tools/cru-proxy-log b/store/works/Crupest.SecretTool/tools/cru-proxy-log
new file mode 100755
index 0000000..6ec6ee1
--- /dev/null
+++ b/store/works/Crupest.SecretTool/tools/cru-proxy-log
@@ -0,0 +1,13 @@
+#! /usr/bin/env bash
+
+set -e
+
+if [[ -e /proc ]]; then
+ # I don't believe your system is Linux but there is no /proc.
+ exec journalctl --user -u crupest-secret-tool "$@"
+elif [[ "$(uname)" == "Darwin" ]]; then
+ exec less "$HOME/.local/state/Crupest.SecretTool/log"
+else
+ echo "Not supported on systems other than macOS and Linux now." >&2
+ exit 1
+fi